Skip to content
Start here

Create Vectorize Index

client.vectorize.indexes.create(IndexCreateParams { account_id, config, name, description } params, RequestOptionsoptions?): CreateIndex { config, created_on, description, 2 more } | null
POST/accounts/{account_id}/vectorize/v2/indexes

Creates and returns a new Vectorize Index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize Write
ParametersExpand Collapse
params: IndexCreateParams { account_id, config, name, description }
account_id: string

Path param: Identifier

maxLength32
config: IndexDimensionConfiguration { dimensions, metric } | VectorizeIndexPresetConfiguration { preset }

Body param: Specifies the type of configuration to use for the index.

One of the following:
IndexDimensionConfiguration { dimensions, metric }
dimensions: number

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: "cosine" | "euclidean" | "dot-product"

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
VectorizeIndexPresetConfiguration { preset }
preset: "@cf/baai/bge-small-en-v1.5" | "@cf/baai/bge-base-en-v1.5" | "@cf/baai/bge-large-en-v1.5" | 2 more

Specifies the preset to use for the index.

One of the following:
"@cf/baai/bge-small-en-v1.5"
"@cf/baai/bge-base-en-v1.5"
"@cf/baai/bge-large-en-v1.5"
"openai/text-embedding-ada-002"
"cohere/embed-multilingual-v2.0"
name: string

Body param

description?: string

Body param: Specifies the description of the index.

ReturnsExpand Collapse
CreateIndex { config, created_on, description, 2 more } | null
config?: IndexDimensionConfiguration { dimensions, metric }
dimensions: number

Specifies the number of dimensions for the index

maximum1536
minimum1
metric: "cosine" | "euclidean" | "dot-product"

Specifies the type of metric to use calculating distance.

One of the following:
"cosine"
"euclidean"
"dot-product"
created_on?: string

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time
description?: string

Specifies the description of the index.

modified_on?: string

Specifies the timestamp the resource was modified as an ISO8601 string.

formatdate-time
name?: string

Create Vectorize Index

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const createIndex = await client.vectorize.indexes.create({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  config: { dimensions: 768, metric: 'cosine' },
  name: 'example-index',
});

console.log(createIndex.config);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "config": {
      "dimensions": 768,
      "metric": "cosine"
    },
    "created_on": "2022-11-15T18:25:44.442097Z",
    "description": "This is my example index.",
    "modified_on": "2022-11-15T18:25:44.442097Z",
    "name": "example-index"
  },
  "success": true
}